<template>
  <div class="login-container flex column align-center content-center">
    <div class="form-container flex column align-center">
      <div class="logo m-b-20">
        <img src="@/assets/school_badge.png" alt="" />
      </div>
      <div class="title flex column content-center m-b-100">
        <span class="big">“缅怀先贤，不忘初心</span>
        <span> -- 与冯秉铨先生跨越时空的对话”</span>
        <span>虚拟仿真实验</span>
      </div>
      <div class="form flex column">
        <el-input
          class="item theme-small-headline"
          v-model="username"
          placeholder="学生/工号/管理员账号"
          prefix-icon="el-icon-user-solid"
        >
        </el-input>
        <el-input
          type="password"
          class="item theme-small-headline"
          v-model="password"
          placeholder="密码"
          prefix-icon="el-icon-lock"
          @keyup.enter.native="login"
        ></el-input>
        <el-button class="item theme-red-button small" @click="login"
          >立即登录</el-button
        >
        <el-button class="item theme-info-button small" @click="visit"
          >专家入口</el-button
        >
        <div
          class="bottom-link-container flex row content-between theme-small-headline item"
        >
          <el-link
            class="theme-info-link small"
            @click.native="linkTo('/registered')"
            >没有账号去注册</el-link
          >
          <el-link class="theme-info-link small">忘记密码</el-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Login",
  data() {
    return {
      username: "",
      password: ""
    };
  },
  methods: {
    async login() {
      try {
        if (this.username === "" || this.password === "")
          throw new Error("请完整填写登陆信息");
        const result = await this.$store.dispatch("accounts/login", {
          username: this.username,
          password: this.password
        });
        if (result) this.$router.push("/");
      } catch (err) {
        if (err.message) {
          return this.$message({
            type: "error",
            message: err.message
          });
        } else {
          throw err;
        }
      }
    },
    linkTo(path) {
      this.$router.push(path);
    },
    visit() {
      this.$store.commit("accounts/expertLogin");
      this.$router.push("/");
    }
  }
};
</script>

<style lang="scss" scoped>
@import "@/styles/theme.scss";

.login-container {
  width: 100%;
  height: 100%;
  background-color: rgba(102, 102, 102, 0.2);
  background: url("/img/background.jpg");
  background-size: cover;
}
.form-container {
  width: 60%;
  max-width: 800px;
  min-width: 400px;
  background-color: rgba(255, 255, 255, 0.8);
  padding: 40px 20px;
  .form {
    width: 100%;
    max-width: 320px;
    margin-bottom: 80px;
    .item {
      margin: 10px 0px;
    }
  }
}
.logo {
  width: 100%;
  height: 80px;
  img {
    height: 100%;
  }
}
.title {
  font-size: 26px !important;
  span {
    margin-left: 20px;
    line-height: 1.5;
  }
  .big {
    font-size: 32px;
    align-self: flex-start;
    margin-left: 0px;
  }
}
</style>
